# Role

Represents a role. Roles can be granted to users, and to other roles.

Methods
void | checkRename()
void | checkRename()
String | getCreateSQL(boolean ifNotExists) Get the CREATE SQL statement for this object.
String | getCreateSQL(boolean ifNotExists) Get the CREATE SQL statement for this object. Parameters: ifNotExists - true if IF NOT EXISTS should be used Returns: the SQL statement
String | getCreateSQL()
String | getCreateSQL()
String | getCreateSQLForCopy(Table table, String quotedName)
String | getCreateSQLForCopy(Table table, String quotedName)
String | getDropSQL()
String | getDropSQL()
int | getType()
int | getType()
void | removeChildrenAndResources(Session session)
void | removeChildrenAndResources(Session session)